﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Masterpages/Weinkeller.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="iX.MeinWeinkeller.UI.Wein_Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="DetailPlatzhalter" Runat="Server">
    <h2>Weine</h2>
    <div class="action">
      <asp:LinkButton ID="lbNeu" runat="server" onclick="lbNeu_Click">Neuen Wein hinzufügen</asp:LinkButton> | Vorhandene Weine suchen: <small><asp:TextBox ID="tbSuche" runat="server"></asp:TextBox><asp:Button ID="btnSuche" runat="server" Text="Suchen" onclick="btnSuche_Click" CausesValidation="False" /></small>
    </div>
    <asp:GridView ID="gvSuchergebnis" runat="server" 
    AutoGenerateColumns="False" AutoGenerateSelectButton="True" DataKeyNames="id" 
        onselectedindexchanged="gvSuchergebnis_SelectedIndexChanged">
        <Columns>
            <asp:BoundField DataField="Jahrgang" HeaderText="Jahrgang" 
                SortExpression="Jahrgang" />
            <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
            <asp:BoundField DataField="WeingutName" HeaderText="Weingut" SortExpression="WeingutName"/>
            <asp:BoundField DataField="Preis" HeaderText="Preis" SortExpression="Preis" >
            <HeaderStyle HorizontalAlign="Right" />
            <ItemStyle HorizontalAlign="Right" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <h3><asp:Label ID="lblWeinName" runat="server"></asp:Label></h3>
    <asp:MultiView ID ="mv1" runat="server">
    <asp:View ID="vwZeigen" runat="server">
        <div class="action">
            <asp:LinkButton ID="lbBildLoeschen" runat="server" onclick="lbBildLoeschen_Click" 
                onclientclick="return VerifyPictureDelete();">Bild Löschen</asp:LinkButton> |
            <asp:LinkButton ID="lbLoeschen" runat="server" onclick="lbLoeschen_Click" 
                onclientclick="return VerifyDelete();">Löschen</asp:LinkButton> |
            <asp:LinkButton ID="lbBearbeiten" runat ="server" onclick="lbBearbeiten_Click">Bearbeiten</asp:LinkButton> | 
            <asp:LinkButton ID="lbNeuLager" runat="server" onclick="lbNeuLager_Click">Neuen Lagerort hinzufügen</asp:LinkButton>
            <br />
        </div>
        <table>
            <tr>
                <td valign="top" style="padding-right: 15px;" width="60%">
                    <p>Jahrgang <asp:Label ID="lblJahrgang" runat="server"></asp:Label>, <asp:Label ID="lblPreis" runat="server"></asp:Label>
                        &nbsp;€. Weingut <asp:Label ID="lblWeingut" runat="server"></asp:Label></p>
                    <table>
                      <tr>
                        <td valign="top"><asp:Image  ImageAlign="TextTop" ID="imgWein" runat="server" /></td>
                        <td valign="top"><asp:Label ID="lblBeschreibung" runat="server"></asp:Label></td>
                      </tr>
                    </table>
                </td>
                <td valign="top" style="border-left-style: solid; padding-left: 15px;" width="40%">
                    <h4>Lagerorte</h4>
                    <asp:GridView id="gvLagerort" runat="server" AutoGenerateColumns="False" 
                        AutoGenerateDeleteButton="True" AutoGenerateEditButton="True" onrowdeleting="gvLagerort_RowDeleting" 
                        onrowediting="gvLagerort_RowEditing" DataKeyNames="id" 
                        >
                        <Columns>
                            <asp:BoundField DataField="WeinkellerName" HeaderText="Weinkeller" ReadOnly="True" />
                            <asp:BoundField DataField="Flaschenzahl" HeaderText="Flaschenzahl" >
                                <ItemStyle HorizontalAlign="Right" />
                            </asp:BoundField>
                        </Columns>
                    </asp:GridView>
                    <asp:Panel id="pnlLagerort" runat="server" Visible="False">
                        <asp:HiddenField ID="hfLager" runat="server" />
                        <asp:ValidationSummary ID="ValidationSummary2" runat="server" />
                        <table>
                            <tr>
                                <td><asp:Label id="lblWeinkeller" runat="server">Weinkeller:</asp:Label></td>
                                <td><asp:DropDownList ID="ddlWeinkeller" runat="server" DataValueField="id" DataTextField="AnzeigeName"></asp:DropDownList></td>
                            </tr>
                            <tr>
                                <td>Flaschenzahl:</td>
                                <td><asp:TextBox ID="tbFlaschenzahl" runat="server"></asp:TextBox>
                                    <asp:RangeValidator ID="RangeValidator3" runat="server" 
                                        ErrorMessage="Bitte gültige Flaschenzahl angeben, z.B. 12" Type="Integer" 
                                        MaximumValue="9999" MinimumValue="0" Text="!" Font-Bold="True" 
                                        ControlToValidate="tbFlaschenzahl"></asp:RangeValidator></td>
                            </tr>
                        </table>
                        <asp:Button ID="btnLagerSpeichern" runat="server" Text="Speichern" 
                            onclick="LagerSpeichern_Click"/>
                        <asp:Button ID="btnLagerAbbrechen" runat="server" Text="Abbrechen" 
                            onclick="LagerAbbrechen_Click" CausesValidation="False"/>
                    </asp:Panel>
                </td>
            </tr>
        </table>
    </asp:View>
    <asp:View ID="vwBearbeiten" runat="server">
      <asp:HiddenField ID ="hfWeinID" runat="server" />
      <table>
        <tr>
          <td colspan="2">
              <asp:ValidationSummary ID="ValidationSummary1" runat="server" />
          </td>
        </tr>
        <tr>
          <td>Name des Weins:</td>
          <td><asp:TextBox ID="tbWeinName" runat="server" Width="560px" MaxLength="50"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                ControlToValidate="tbWeinName" 
                ErrorMessage="Der Name des Weins darf nicht leer sein" Text="!"  Font-Bold="True"></asp:RequiredFieldValidator></td>
        </tr>
        <tr>
          <td>Weingut:</td>
          <td><asp:DropDownList ID="ddlWeingut" runat="server" Width="560px" 
                  DataTextField="AnzeigeName" DataValueField="id"></asp:DropDownList></td>
        </tr>
        <tr>
          <td>Jahrgang:</td><td>
              <asp:TextBox ID="tbJahrgang" runat="server" 
            Width="250px" MaxLength="4"></asp:TextBox>
              <asp:RangeValidator ID="RangeValidator1" runat="server" 
                  ControlToValidate="tbJahrgang" 
                  ErrorMessage="Bitte geben Sie einen gültigen Jahrgang ein, z.B. 2008" MaximumValue="2999" 
                  MinimumValue="1900" Type="Integer"  Font-Bold="True">!</asp:RangeValidator>
            </td>
        </tr>
        <tr>
          <td>Preis:</td><td>
            <asp:TextBox ID="tbPreis" runat="server" 
            Width="250px" MaxLength="10"></asp:TextBox>
            <asp:RangeValidator ID="RangeValidator2" runat="server" 
                ControlToValidate="tbPreis" 
                ErrorMessage="Bitte geben Sie einen gültigen Preis ein, z.B. 10,95" MaximumValue="9999,99" 
                MinimumValue="0,00" Type="Double" Font-Bold="True">!</asp:RangeValidator>
            </td>
        </tr>
        <tr>
          <td valign="top">Beschreibung:</td><td>
            <textarea id="TaBeschreibung" rows="10" cols="10" runat="server" 
            style="width: 560px"></textarea></td>
        </tr>
        <tr>
          <td>Bild:</td>
          <td><asp:FileUpload ID="fuWein" runat="server"/><asp:RegularExpressionValidator ID="RegularExpressionValidator1"
                  runat="server" 
                  ErrorMessage="Bitte gültige Bilddatei (.gif, .jpg oder .png) angeben" 
                  ControlToValidate="fuWein" 
                  ValidationExpression=".*\.((gif)|(jpg)|(png)|(GIF)|(JPG)|(PNG))" Font-Bold="True">!</asp:RegularExpressionValidator></td>
        </tr>
      </table>
      <asp:Button ID="btnSpeichern" runat="server" Text="Speichern" 
            onclick="btnSpeichern_Click" />
        <asp:Button ID="btnAbbrechen" runat="server" Text="Abbrechen" 
            onclick="btnAbbrechen_Click" CausesValidation="False" />
    </asp:View>
    </asp:MultiView>
</asp:Content>


