﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Masterpages/Weinkeller.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="iX.MeinWeinkeller.UI.Weingut_Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="DetailPlatzhalter" Runat="Server">
    <h2>Weingüter</h2>
    <div class="action">
      <asp:LinkButton ID="lbNeu" runat="server" onclick="lbNeu_Click">Neues Weingut hinzufügen</asp:LinkButton> | Vorhandene Weingüter suchen: <small><asp:TextBox ID="tbSuche" runat="server"></asp:TextBox><asp:Button ID="btnSuche" runat="server" Text="Suchen" onclick="btnSuche_Click" CausesValidation="False" /></small>
    </div>
    <asp:GridView ID="gvSuchergebnis" runat="server" 
    AutoGenerateColumns="False" AutoGenerateSelectButton="True" DataKeyNames="id" 
        onselectedindexchanged="gvSuchergebnis_SelectedIndexChanged">
        <Columns>
            <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
            <asp:BoundField DataField="Ort" HeaderText="Ort" SortExpression="Ort" />
        </Columns>
    </asp:GridView>
    <h3><asp:Label ID="lblWeingutName" runat="server"></asp:Label></h3>
    <asp:MultiView ID ="mv1" runat="server">
    <asp:View ID="vwZeigen" runat="server">
    <div class="action">
      <asp:LinkButton ID="lbBildLoeschen" runat="server" onclick="lbBildLoeschen_Click" 
            onclientclick="return VerifyPictureDelete();">Bild Löschen</asp:LinkButton> |
      <asp:LinkButton ID="lbLoeschen" runat="server" onclick="lbLoeschen_Click" 
            onclientclick="return VerifyDelete();">Löschen</asp:LinkButton> |
      <asp:LinkButton ID="lbBearbeiten" runat ="server" onclick="lbBearbeiten_Click">Bearbeiten</asp:LinkButton> <br />
      </div>
        <small><asp:Label ID="lblAdresse" runat="server"></asp:Label></small><br />
        <table>
          <tr>
            <td valign="top"><asp:Image  ImageAlign="TextTop" ID="imgWeingut" runat="server" /></td>
            <td valign="top"><asp:Label ID="lblBeschreibung" runat="server"></asp:Label></td>
          </tr>
        </table>
      <span>
      </span>
    </asp:View>
    <asp:View ID="vwBearbeiten" runat="server">
      <asp:HiddenField ID ="hfWeingutID" runat="server" />
      <table>
        <tr>
          <td colspan="2">
              <asp:ValidationSummary ID="ValidationSummary1" runat="server" />
          </td>
        </tr>
        <tr>
          <td>Name des Weinguts:</td>
          <td><asp:TextBox ID="tbWeingutName" runat="server" Width="560px" MaxLength="100"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                ControlToValidate="tbWeingutName" 
                ErrorMessage="Der Name des Weinguts darf nicht leer sein" Text="!" Font-Bold="True"></asp:RequiredFieldValidator></td>
        </tr>
        <tr>
          <td>Anrede:</td><td>
            <asp:DropDownList ID="ddlAnrede" 
                runat="server" Width="60px">
              <asp:ListItem>Herr</asp:ListItem>
              <asp:ListItem>Frau</asp:ListItem>
              </asp:DropDownList></td>
        </tr>
        <tr>
          <td>Vorname:</td><td>
              <asp:TextBox ID="tbVorname" runat="server" 
            Width="250px" MaxLength="50"></asp:TextBox></td>
        </tr>
        <tr>
          <td>Nachname:</td><td>
            <asp:TextBox ID="tbNachname" runat="server" 
            Width="250px" MaxLength="50"></asp:TextBox></td>
        </tr>
        <tr>
          <td>Strasse:</td><td><asp:TextBox ID="tbStrasse" runat="server" Width="560px"></asp:TextBox></td>
        </tr>
        <tr>
          <td>Postleitzahl:</td><td>
            <asp:TextBox ID="tbPostleitzahl" runat="server" 
            Width="250px" MaxLength="20"></asp:TextBox>
        </tr>
        <tr>
          <td>Ort:</td><td>
            <asp:TextBox ID="tbOrt" runat="server" 
            Width="560px" MaxLength="20"></asp:TextBox></td>
        </tr>
        <tr>
          <td>Land:</td><td>
            <asp:DropDownList ID="ddlLand" runat="server" Height="22px" Width="250px">
                <asp:ListItem Value="DE">Deutschland</asp:ListItem>
                <asp:ListItem Value="FR">Frankreich</asp:ListItem>
                <asp:ListItem Value="IT">Italien</asp:ListItem>
                <asp:ListItem Value="AT">Österreich</asp:ListItem>
                <asp:ListItem Value="PT">Portugal</asp:ListItem>
                <asp:ListItem Value="CH">Schweiz</asp:ListItem>
                <asp:ListItem Value="ES">Spanien</asp:ListItem>
            </asp:DropDownList>
            </td>
        </tr>
        <tr>
          <td valign="top">Beschreibung:</td><td>
            <textarea id="TaBeschreibung" rows="10" cols="10" runat="server" 
            style="width: 560px"></textarea></td>
        </tr>
        <tr>
          <td>Bild:</td>
          <td><asp:FileUpload ID="fuWeingut" runat="server"/><asp:RegularExpressionValidator ID="RegularExpressionValidator1"
                  runat="server" 
                  ErrorMessage="Bitte gültige Bilddatei (.gif, .jpg oder .png) angeben" 
                  ControlToValidate="fuWeingut" 
                  ValidationExpression=".*\.((gif)|(jpg)|(png)|(GIF)|(JPG)|(PNG))" Font-Bold="True">!</asp:RegularExpressionValidator></td>
        </tr>
      </table>
      <asp:Button ID="btnSpeichern" runat="server" Text="Speichern" 
            onclick="btnSpeichern_Click" />
        <asp:Button ID="btnAbbrechen" runat="server" Text="Abbrechen" 
            onclick="btnAbbrechen_Click" CausesValidation="False" />
    </asp:View>
    </asp:MultiView>
</asp:Content>


