﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Hier werden die Datenklassen um einige Attribute ergänzt, 
/// die in Drop-Downlisten und Grid-Views angzeigt werden sollen
/// </summary>

public partial class Weingut
{
    /// <summary>
    /// Der Anzeigename des Weinguts in der Form "Name, Ort"
    /// </summary>
    public string AnzeigeName
    {
        get { return Name + ", " + Ort; }
    }
}

public partial class Wein
{
    /// <summary>
    /// Der Anzeigename des Weinguts dieses Weines in der Form "Weingut.Name, Weingut.Ort"
    /// </summary>
    public string WeingutName
    {
        get { return Weingut.AnzeigeName; }
    }
}

public partial class Weinkeller
{
    /// <summary>
    /// Der Anzeigename des Weinkellers in der Form "Name, Ort"
    /// </summary>
    public string AnzeigeName
    {
        get { return Name + ", " + Ort; }
    }
}

public partial class Weinlager
{
    /// <summary>
    /// Der Anzeigeanme des Weinkellers dieses Weinlagers in der Form "Weinkeller.Name, Weinkeller.Ort"
    /// </summary>
    public string WeinkellerName
    {
        get { return Weinkeller.AnzeigeName; }
    }
}
