﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Masterpages/Weinkeller.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="iX.MeinWeinkeller.UI.Weinkeller_Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="DetailPlatzhalter" Runat="Server">
    <h2>Weinkeller</h2>
    <div class="action">
      <asp:LinkButton ID="lbNeu" runat="server" onclick="lbNeu_Click">Neuen Weinkeller hinzufügen</asp:LinkButton> 
    </div>
    <asp:GridView ID="gvSuchergebnis" runat="server" 
    AutoGenerateColumns="False" AutoGenerateSelectButton="True" DataKeyNames="id" 
        onselectedindexchanged="gvSuchergebnis_SelectedIndexChanged">
        <Columns>
            <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
            <asp:BoundField DataField="Ort" HeaderText="Ort" SortExpression="Ort" />
        </Columns>
    </asp:GridView>
    <h3><asp:Label ID="lblWeinkellerName" runat="server"></asp:Label></h3>
    <asp:MultiView ID ="mv1" runat="server">
    <asp:View ID="vwZeigen" runat="server">
    <div class="action">
      <asp:LinkButton ID="lbBildLoeschen" runat="server" onclick="lbBildLoeschen_Click" 
            onclientclick="return VerifyPictureDelete();">Bild Löschen</asp:LinkButton> |
      <asp:LinkButton ID="lbLoeschen" runat="server" onclick="lbLoeschen_Click" 
            onclientclick="return VerifyDelete();">Löschen</asp:LinkButton> |
      <asp:LinkButton ID="lbBearbeiten" runat ="server" onclick="lbBearbeiten_Click">Bearbeiten</asp:LinkButton> <br />
      </div>
        <p><asp:Image  ImageAlign="TextTop" ID="imgWeinkeller" runat="server" /> <asp:Label ID="lblBeschreibung" runat="server"></asp:Label></p>
      <span>
      </span>
    </asp:View>
    <asp:View ID="vwBearbeiten" runat="server">
      <asp:HiddenField ID ="hfWeinkellerID" runat="server" />
      <table>
        <tr>
          <td colspan="2">
              <asp:ValidationSummary ID="ValidationSummary1" runat="server" />
          </td>
        </tr>
        <tr>
          <td>Name des Weinkellers:</td>
          <td><asp:TextBox ID="tbWeinkellerName" runat="server" Width="560px" MaxLength="100"></asp:TextBox>
              <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                ControlToValidate="tbWeinkellerName" 
                ErrorMessage="Der Name des Weinkellers darf nicht leer sein" Text="!" 
                  Font-Bold="True"></asp:RequiredFieldValidator></td>
        </tr>
        <tr>
          <td>Ort:</td><td>
            <asp:TextBox ID="tbOrt" runat="server" 
            Width="560px" MaxLength="20"></asp:TextBox></td>
        </tr>
        <tr>
          <td>Bild:</td>
          <td><asp:FileUpload ID="fuWeinkeller" runat="server"/><asp:RegularExpressionValidator ID="RegularExpressionValidator1"
                  runat="server" 
                  ErrorMessage="Bitte gültige Bilddatei (.gif, .jpg oder .png) angeben" 
                  ControlToValidate="fuWeinkeller" 
                  ValidationExpression=".*\.((gif)|(jpg)|(png)|(GIF)|(JPG)|(PNG))" 
                  Font-Bold="True">!</asp:RegularExpressionValidator></td>
        </tr>
      </table>
      <asp:Button ID="btnSpeichern" runat="server" Text="Speichern" 
            onclick="btnSpeichern_Click" />
        <asp:Button ID="btnAbbrechen" runat="server" Text="Abbrechen" 
            onclick="btnAbbrechen_Click" CausesValidation="False" />
    </asp:View>
    </asp:MultiView>
</asp:Content>


